Debian Bug report logs - #592883
lynx-cur: C1 control codes should not be interpreted as Microsoft characters

version graph

Package: lynx-cur; Maintainer for lynx-cur is Atsuhito KOHDA <kohda@debian.org>; Source for lynx-cur is src:lynx-cur.

Reported by: Vincent Lefevre <vincent@vinc17.net>

Date: Fri, 13 Aug 2010 16:12:05 UTC

Severity: normal

Tags: fixed-upstream

Found in version lynx-cur/2.8.8dev.4-3

Fixed in version lynx-cur/2.8.8dev.6-1

Done: Atsuhito KOHDA <kohda@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#592883; Package lynx-cur. (Fri, 13 Aug 2010 16:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
New Bug report received and forwarded. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Fri, 13 Aug 2010 16:12:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lynx-cur: C1 control codes should not be interpreted as Microsoft characters
Date: Fri, 13 Aug 2010 18:08:39 +0200
[Message part 1 (text/plain, inline)]
Package: lynx-cur
Version: 2.8.8dev.4-3
Severity: normal

According to the W3C[*], C1 control codes such as U+0080 should not
be interpreted as Microsoft characters. In the attached testcase,
Lynx displays a Euro symbol for U+0080, which is incorrect.

[*] http://www.w3.org/International/questions/qa-controls
  Whereas the ISO 8859 family reserves the C1 range for controls,
  Microsoft character sets (e.g. 1250-1258) place characters in this
  range. Sometimes content authors mistakenly use the Microsoft
  character code points in creating NCRs instead of using the Unicode
  values. Because of the prevalence of this mistake, many browsers
  display the Microsoft characters in this range. This is incorrect
                                                  ^^^^^^^^^^^^^^^^^
  behavior and further misleads the developer by incorrectly
  ^^^^^^^^
  confirming the mistaken value. The problem may eventually be
  discovered when the data is treated by some application, or when a
  standards-conforming browser fails to display the intended
  character.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=POSIX, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages lynx-cur depends on:
ii  debconf [debconf-2.0]   1.5.35           Debian configuration management sy
ii  libbsd0                 0.2.0-1          utility functions from BSD systems
ii  libc6                   2.11.2-2         Embedded GNU C Library: Shared lib
ii  libgcrypt11             1.4.5-2          LGPL Crypto library - runtime libr
ii  libgnutls26             2.8.6-1          the GNU TLS library - runtime libr
ii  libidn11                1.18-1           GNU Libidn library, implementation
ii  libncursesw5            5.7+20100313-2   shared libraries for terminal hand
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages lynx-cur recommends:
ii  mime-support                  3.48-1     MIME files 'mime.types' & 'mailcap

Versions of packages lynx-cur suggests:
pn  lynx-cur-wrapper              <none>     (no description available)

-- debconf information excluded

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)
[c1.html (text/html, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#592883; Package lynx-cur. (Fri, 17 Sep 2010 21:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Fri, 17 Sep 2010 21:09:05 GMT) Full text and rfc822 format available.

Message #10 received at 592883@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 592883@bugs.debian.org
Cc: 592883-submitter@bugs.debian.org
Subject: re: #592883 lynx-cur: C1 control codes should not be interpreted as Microsoft characters
Date: Fri, 17 Sep 2010 17:04:05 -0400
[Message part 1 (text/plain, inline)]
I'd have agreed, except that in a previous discussion on lynx's mailing list
I recall that the newest interpretations are telling browsers to interpret
charset=ISO-8859-1 as if it were cp-1252 anyway.

Just to check, I viewed this testcase in Opera and Firefox.
Both show a Euro symbol...

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Vincent Lefevre <vincent@vinc17.net>:
Bug#592883. (Fri, 17 Sep 2010 21:09:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#592883; Package lynx-cur. (Fri, 17 Sep 2010 22:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Fri, 17 Sep 2010 22:09:06 GMT) Full text and rfc822 format available.

Message #18 received at 592883@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: dickey@his.com, 592883-quiet@bugs.debian.org
Cc: 592883@bugs.debian.org, 592883-submitter@bugs.debian.org
Subject: Re: Bug#592883: #592883 lynx-cur: C1 control codes should not be interpreted as Microsoft characters
Date: Sat, 18 Sep 2010 00:08:10 +0200
On 2010-09-17 17:04:05 -0400, Thomas Dickey wrote:
> I'd have agreed, except that in a previous discussion on lynx's mailing list
> I recall that the newest interpretations are telling browsers to interpret
> charset=ISO-8859-1 as if it were cp-1252 anyway.

Only with a HTML5 parser.

> Just to check, I viewed this testcase in Opera and Firefox.
> Both show a Euro symbol...

I don't know about Opera, but Firefox now has a HTML5 parser for
text/html (non-critical bugs in FF 3.x will not be fixed). And
if the page is served as application/xhtml+xml, Firefox does not
display a Euro symbol (because the XML parser is used, and the
HTML5 parsing rules do not apply).

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Information stored :
Bug#592883; Package lynx-cur. (Fri, 17 Sep 2010 22:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and filed, but not forwarded. (Fri, 17 Sep 2010 22:09:08 GMT) Full text and rfc822 format available.

Message sent on to Vincent Lefevre <vincent@vinc17.net>:
Bug#592883. (Fri, 17 Sep 2010 22:09:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#592883; Package lynx-cur. (Tue, 05 Oct 2010 00:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Tue, 05 Oct 2010 00:45:06 GMT) Full text and rfc822 format available.

Message #31 received at 592883@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 592883@bugs.debian.org
Cc: 592883-submitter@bugs.debian.org
Subject: re: #592883 lynx-cur: C1 control codes should not be interpreted as Microsoft characters
Date: Mon, 04 Oct 2010 20:43:33 -0400
[Message part 1 (text/plain, inline)]
This is addressed in 2.8.8dev.6

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Tue, 05 Oct 2010 00:45:10 GMT) Full text and rfc822 format available.

Message sent on to Vincent Lefevre <vincent@vinc17.net>:
Bug#592883. (Tue, 05 Oct 2010 00:45:14 GMT) Full text and rfc822 format available.

Reply sent to Atsuhito KOHDA <kohda@debian.org>:
You have taken responsibility. (Sat, 06 Nov 2010 12:21:13 GMT) Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.net>:
Bug acknowledged by developer. (Sat, 06 Nov 2010 12:21:13 GMT) Full text and rfc822 format available.

Message #41 received at 592883-close@bugs.debian.org (full text, mbox):

From: Atsuhito KOHDA <kohda@debian.org>
To: 592883-close@bugs.debian.org
Subject: Bug#592883: fixed in lynx-cur 2.8.8dev.6-1
Date: Sat, 06 Nov 2010 12:17:39 +0000
Source: lynx-cur
Source-Version: 2.8.8dev.6-1

We believe that the bug you reported is fixed in the latest version of
lynx-cur, which is due to be installed in the Debian FTP archive:

lynx-cur-wrapper_2.8.8dev.6-1_all.deb
  to main/l/lynx-cur/lynx-cur-wrapper_2.8.8dev.6-1_all.deb
lynx-cur_2.8.8dev.6-1.diff.gz
  to main/l/lynx-cur/lynx-cur_2.8.8dev.6-1.diff.gz
lynx-cur_2.8.8dev.6-1.dsc
  to main/l/lynx-cur/lynx-cur_2.8.8dev.6-1.dsc
lynx-cur_2.8.8dev.6-1_i386.deb
  to main/l/lynx-cur/lynx-cur_2.8.8dev.6-1_i386.deb
lynx-cur_2.8.8dev.6.orig.tar.gz
  to main/l/lynx-cur/lynx-cur_2.8.8dev.6.orig.tar.gz
lynx_2.8.8dev.6-1_all.deb
  to main/l/lynx-cur/lynx_2.8.8dev.6-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 592883@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Atsuhito KOHDA <kohda@debian.org> (supplier of updated lynx-cur package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 05 Nov 2010 16:05:27 +0900
Source: lynx-cur
Binary: lynx-cur lynx-cur-wrapper lynx
Architecture: source all i386
Version: 2.8.8dev.6-1
Distribution: unstable
Urgency: low
Maintainer: Atsuhito KOHDA <kohda@debian.org>
Changed-By: Atsuhito KOHDA <kohda@debian.org>
Description: 
 lynx       - Text-mode WWW Browser (transitional package)
 lynx-cur   - Text-mode WWW Browser with NLS support (development version)
 lynx-cur-wrapper - Wrapper for lynx-cur
Closes: 586762 587330 592883
Changes: 
 lynx-cur (2.8.8dev.6-1) unstable; urgency=low
 .
   * New Upstream Release.
    - amend change for Debian #514897 to exclude XML documents
      (Closes: #592883)
    - use HTParsePort() in a few places, e.g., HTFinger.c, to allow for IPv6
      addresses with colons (Closes: #587330)
    - add option -unique-urls (Closes: #586762)
   * Updated patch-1 for a new upstream source.
Checksums-Sha1: 
 0a500c3754e403bf9660e86f0264acc2b8715a69 1181 lynx-cur_2.8.8dev.6-1.dsc
 6ddfd4583d98f9a5ca024702ec4c4b58f004de63 3446351 lynx-cur_2.8.8dev.6.orig.tar.gz
 b288517c01ef225ceabeca41f7e516201203fe33 32087 lynx-cur_2.8.8dev.6-1.diff.gz
 c90aab2ae0a7d061453fe917d77cc881a8b62e62 220376 lynx-cur-wrapper_2.8.8dev.6-1_all.deb
 923194aebbfd4452d5f0abfbf059447dbbc6cb38 217846 lynx_2.8.8dev.6-1_all.deb
 9ee1e4ffae57cdbc8c591f72136224e8e79490b1 2113146 lynx-cur_2.8.8dev.6-1_i386.deb
Checksums-Sha256: 
 1e8c1d324793d7cf2b6c083c1a684ad5074f4f73878da73f1dd8d9d6fd51813f 1181 lynx-cur_2.8.8dev.6-1.dsc
 a7020e09f0dd8c0104a06fa2a6a8dc24a5b0f2bb2605af9bb4ccc16bc6920153 3446351 lynx-cur_2.8.8dev.6.orig.tar.gz
 0b7e8602b5adaf20d79c68314fb6449ba4810dba33d8d89cbc1e8197d8aaa31a 32087 lynx-cur_2.8.8dev.6-1.diff.gz
 f0be9f1efb8583c687c6797fc4ff200bf7f0d024507700e4c68686474c0c43a4 220376 lynx-cur-wrapper_2.8.8dev.6-1_all.deb
 cbf447fdac0fc89efbcac903e9656544d0814da893973b0976f520f21e1ccbd9 217846 lynx_2.8.8dev.6-1_all.deb
 f1ed381d5d866bb39fd945be7909c05f35d68d59847ccd459294a6bc80a4c872 2113146 lynx-cur_2.8.8dev.6-1_i386.deb
Files: 
 63c058f75006878861deaa0ff792bded 1181 web extra lynx-cur_2.8.8dev.6-1.dsc
 8cf75c5c7f0bb9950fe9e3a87263e439 3446351 web extra lynx-cur_2.8.8dev.6.orig.tar.gz
 06a3faba8437cfb3015a32ae5c27ece4 32087 web extra lynx-cur_2.8.8dev.6-1.diff.gz
 5aba32fca26b1fdab488b83bb87988d4 220376 web extra lynx-cur-wrapper_2.8.8dev.6-1_all.deb
 7460f7dfe63a6a0aeae8f3aca135bb1d 217846 web extra lynx_2.8.8dev.6-1_all.deb
 25460d9eee5604de0a2f23ab7f0b9495 2113146 web extra lynx-cur_2.8.8dev.6-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkzVQaAACgkQ1IXdL1v6kOwRuQCffQPyeFhqqjpy8KU5Srx+6xCY
N64An3OQMZT7E3Jsks6PL8jxPUoY+yut
=Gu+m
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Feb 2011 08:31:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:40:24 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.